Error Upgrading Orchard 1.1 to 1.3

Topics: Installing Orchard, Troubleshooting
Oct 19, 2011 at 7:51 PM

I've done quite a few Orchard upgrades and never came across an error I can't seem to get by until now.

Upgrading Orchard 1.1 to 1.3.

Once running on 1.3 and I go to the modules area to update any modules I notice 2 things.

1) It doesn't say any modules need to be updated, which I know is wrong.

2) None of the features have an enable or disable link on them.

Glancing over to the Updates Tab I notice a "1" in the tab.

When I click on the Update Tab I get the following compilation error:

"CS1061: 'Orchard.Packaging.ViewModels.PackagingListViewModel' does not contain a definition for 'LastUpdateCheckUtc' and no extension method 'LastUpdateCheckUtc' accepting a first argument of type 'Orchard.Packaging.ViewModels.PackagingListViewModel' could be found (are you missing a using directive or an assembly reference?)"

 
Line 27: 
Line 28: <fieldset class="update-actions">
Line 29:     <a class="button" href="@Url.Action("ReloadUpdates", new { returnUrl = ViewContext.RequestContext.HttpContext.Request.ToUrlString()})" title="@T("Most recent check for updates: {0}", Model.LastUpdateCheckUtc == null ? T("Unknown") : Display.DateTimeRelative(dateTimeUtc: Model.LastUpdateCheckUtc.Value))">@T("Check for Updates")</a>
Line 30: </fieldset>
Line 31: 

I re-did the upgrade twice and both times the same error.

Any help would be appreciated.

Regards,

Dave

Coordinator
Oct 19, 2011 at 9:38 PM

Did you try downloading all new versions of the modules manually and deploying them on that instance?

Oct 19, 2011 at 11:48 PM

I tried everything and after banging my head on it for a few hours I figured it was easier to manually just re-add the content to a fresh install :) Website hadn't gone live yet so client was fine with that and actually liked the idea of starting from a clean installation.

Not sure of the problem, but all is well now.

Thanks,

Dave